Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationFax

    public interface ConfigurationFax

Method Summary
`java.lang.String` | `getConnector()` Gets the name of the class.
`int` | `getDialing()` Gets the dialing mode.
`int` | `getFlowCommand()` Gets the flow command.
`int` | `getFlowControl()` Gets the flow control.
`java.lang.String` | `getInitString()` Gets the modem's initializing string.
`int` | `getMaxRetries()` Gets the retry time.
`int` | `getModemClass()` Returns the modem class.
`java.lang.String` | `getPassword()` Gets the password for the class communicating with Fax server
`java.lang.String` | `getPort()` Gets the port in system.
`java.lang.String` | `getServerIP()` Gets the IP address or domain name of the Fax server.
`int` | `getServerPort()` Gets the port number of the Fax server.
`java.lang.String` | `getSpecParameters()` Gets the special parameter of the Fax server.
`int` | `getTimeOut()` Gets the time out in ms.
`java.lang.String` | `getUserID()` Gets the user which logins in the class communicating with Fax server.
`java.lang.String` | `getUserName()` Gets the user name showing in the Fax server manager.
`void` | `setConnector(java.lang.String connector)` Sets the name of the class implemented by user.
`void` | `setDialing(int dialing)` Sets the dialing mode.
`void` | `setFlowCommand(int flowCommand)` Sets the flow command.
`void` | `setFlowControl(int flowControl)` Sets the flow modem control.
`void` | `setInitString(java.lang.String initString)` Sets the modem's initializing string.
`void` | `setMaxRetries(int maxRetries)` Sets the times to connect with the destination when it is busy.
`void` | `setModemClass(int modemClass)` Sets the modem class.
`void` | `setPassword(java.lang.String password)` Sets the password for the class communicating with Fax server.
`void` | `setPort(java.lang.String port)` Sets the port in system.
`void` | `setServerIP(java.lang.String serverIP)` Sets the IP address or domain name of the Fax server.
`void` | `setServerPort(int serverPort)` Sets the port number of the Fax server.
`void` | `setSpecParameters(java.lang.String parameters)` Sets the special parameters of the Fax server.
`void` | `setTimeOut(int timeOut)` Sets the waiting time for getting response from Fax server.
`void` | `setUserID(java.lang.String userID)` Sets user ID for the class communicating with Fax server.
`void` | `setUserName(java.lang.String userName)` Sets the user name showing in the Fax server manager.
`void` | `setViaFaxServer(boolean viaFaxServer)` Sets whether to export the report result to Fax via Fax Server or Fax Machine.
`boolean` | `viaFaxServer()` Returns true while exporting report result via Fax Server, otherwise false.

Method Detail

### setDialing

    void setDialing(int dialing)

  Sets the dialing mode.

  Parameters:
    `dialing` - 0 : tone, 1 : pulse

### getDialing

    int getDialing()

  Gets the dialing mode.

  Returns:
    dialing mode, 0 : tone, 1 : pulse

### setModemClass

    void setModemClass(int modemClass)

  Sets the modem class.

  Parameters:
    `modemClass` - 0 : class1 1 : class2 2 : class20

### getModemClass

    int getModemClass()

  Returns the modem class.

  Returns:
    the modem class.

### setFlowControl

    void setFlowControl(int flowControl)

  Sets the flow modem control.

  Parameters:
    `flowControl` - 0 : RtsCts 1 : XonXoff 2 : None

### getFlowControl

    int getFlowControl()

  Gets the flow control.

  Returns:
    the flow control.

### setFlowCommand

    void setFlowCommand(int flowCommand)

  Sets the flow command.

  Parameters:
    `flowCommand` - 0 : 1 : -- RtsCts -- 2 : AT+FLO=2 3 : AT&K3 4 : AT&\\Q3 5 : -- XonXoff -- 6 : AT+FLO=1 7 : AT&K4 8 : AT&\\Q4

### getFlowCommand

    int getFlowCommand()

  Gets the flow command.

  Returns:
    the flow command.

### setPort

    void setPort(java.lang.String port)

  Sets the port in system.

  Parameters:
    `the` - port in system, as COM1 or COM2.

### getPort

    java.lang.String getPort()

  Gets the port in system.

  Returns:
    the port which is used.

### setInitString

    void setInitString(java.lang.String initString)

  Sets the modem's initializing string.

  Parameters:
    `initString` - for example, ATV1Q0.

### getInitString

    java.lang.String getInitString()

  Gets the modem's initializing string.

  Returns:
    the modem's initializing string.

### setViaFaxServer

    void setViaFaxServer(boolean viaFaxServer)

  Sets whether to export the report result to Fax via Fax Server or Fax Machine.

  Parameters:
    `viaFaxServer` - true : Fax server false : Fax Machine

### viaFaxServer

    boolean viaFaxServer()

  Returns true while exporting report result via Fax Server, otherwise false.

  Returns:
    true while exporting report result via Fax Server, otherwise false.

### setConnector

    void setConnector(java.lang.String connector)

  Sets the name of the class implemented by user.

  Parameters:
    `connector,` - the custom class name.

### getConnector

    java.lang.String getConnector()

  Gets the name of the class.

  Returns:
    class name.

### setServerIP

    void setServerIP(java.lang.String serverIP)

  Sets the IP address or domain name of the Fax server.

  Parameters:
    `serverIP` -

### getServerIP

    java.lang.String getServerIP()

  Gets the IP address or domain name of the Fax server.

  Returns:
    the IP address or domain name.

### setServerPort

    void setServerPort(int serverPort)

  Sets the port number of the Fax server.

  Parameters:
    `serverPort` - the port to be set.

### getServerPort

    int getServerPort()

  Gets the port number of the Fax server.

  Returns:
    the port number.

### setUserID

    void setUserID(java.lang.String userID)

  Sets user ID for the class communicating with Fax server.

  Parameters:
    `userID,` - the user name.

### getUserID

    java.lang.String getUserID()

  Gets the user which logins in the class communicating with Fax server.

  Returns:
    user ID.

### setPassword

    void setPassword(java.lang.String password)

  Sets the password for the class communicating with Fax server.

  Parameters:
    `password,` - the password to be set.

### getPassword

    java.lang.String getPassword()

  Gets the password for the class communicating with Fax server

  Returns:
    password

### setUserName

    void setUserName(java.lang.String userName)

  Sets the user name showing in the Fax server manager.

  Parameters:
    `userName` -

### getUserName

    java.lang.String getUserName()

  Gets the user name showing in the Fax server manager.

  Returns:

### setSpecParameters

    void setSpecParameters(java.lang.String parameters)

  Sets the special parameters of the Fax server.

  Parameters:
    `parameters` - of Fax server.

### getSpecParameters

    java.lang.String getSpecParameters()

  Gets the special parameter of the Fax server.

  Returns:
    the special parameter.

### setTimeOut

    void setTimeOut(int timeOut)

  Sets the waiting time for getting response from Fax server. The unit of time out is second.

  Parameters:
    `timeOut,` - the time of waiting.

### getTimeOut

    int getTimeOut()

  Gets the time out in ms.

  Returns:
    the time of waiting.

### setMaxRetries

    void setMaxRetries(int maxRetries)

  Sets the times to connect with the destination when it is busy.

  Parameters:
    `maxRetries,` - the retry time.

### getMaxRetries

    int getMaxRetries()

  Gets the retry time.

  Returns:
    the retry time.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD